postgresql9.5-python-9.5.19-alt1.i586.rpm


Advertisement

Description

postgresql9.5-python - Development module for Python code to access a PostgreSQL DB

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename postgresql9.5-python-9.5.19-alt1.i586.rpm
Package name postgresql9.5-python
Package version 9.5.19
Package release alt1
Package architecture i586
Package type rpm
Category Databases
Homepage -
License -
Maintainer -
Download size 240.28 KB
Installed size 240.28 KB
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-python package includes a module for
developers to use when writing Python code for accessing a PostgreSQL
database.

Alternatives

Package Version Architecture Repository
postgresql9.5-python-9.5.19-alt1.x86_64.rpm 9.5.19 x86_64 Classic
postgresql9.5-python - - -

Requires

Name Value
libpython2.7.so.1.0 -
postgresql9.5-server = 9.5.19-alt1:sisyphus+235637.300.1.1
rpmlib(PayloadIsLzma) -

Provides

Name Value
postgresql-python = 9.5.19-alt1
postgresql9.5-python = 9.5.19-alt1:sisyphus+235637.300.1.1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package postgresql9.5-python-9.5.19-alt1.i586.rpm
Source Package postgresql9.5-9.5.19-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install postgresql9.5-python rpm package:
    # sudo apt-get install postgresql9.5-python

Files

Path
/usr/lib/pgsql/plpython2.so
/usr/share/doc/postgresql-9.5.19
/usr/share/locale/cs/LC_MESSAGES/plpython-9.5.mo
/usr/share/locale/de/LC_MESSAGES/plpython-9.5.mo
/usr/share/locale/es/LC_MESSAGES/plpython-9.5.mo
/usr/share/locale/fr/LC_MESSAGES/plpython-9.5.mo
/usr/share/locale/it/LC_MESSAGES/plpython-9.5.mo
/usr/share/locale/ja/LC_MESSAGES/plpython-9.5.mo
/usr/share/locale/ko/LC_MESSAGES/plpython-9.5.mo
/usr/share/locale/pl/LC_MESSAGES/plpython-9.5.mo
/usr/share/locale/pt_BR/LC_MESSAGES/plpython-9.5.mo
/usr/share/locale/ru/LC_MESSAGES/plpython-9.5.mo
/usr/share/locale/zh_CN/LC_MESSAGES/plpython-9.5.mo
/usr/share/pgsql/extension/plpython2u--1.0.sql
/usr/share/pgsql/extension/plpython2u--unpackaged--1.0.sql
/usr/share/pgsql/extension/plpython2u.control
/usr/share/pgsql/extension/plpythonu--1.0.sql
/usr/share/pgsql/extension/plpythonu--unpackaged--1.0.sql
/usr/share/pgsql/extension/plpythonu.control

Changelog

2019-08-07 - Alexei Takaseev <taf@altlinux.org> 9.5.19-alt1
- 9.5.19 (Fixes CVE-2019-10208)
2019-06-20 - Alexei Takaseev <taf@altlinux.org> 9.5.18-alt1
- 9.5.18
2019-05-08 - Alexei Takaseev <taf@altlinux.org> 9.5.17-alt1
- 9.5.17
- (Fixes CVE-2019-10130)
2019-04-04 - Alexei Takaseev <taf@altlinux.org> 9.5.16-alt2
- Move *.control and *.sql files from -server to -contrib subpackage
(Fixes ALT#36271)
- Removed unnecessary minor version in package name libpq and libecpg
- Join subpackages libpq-devel, libecpg-devel and postgresql-devel to
one postgresql-devel subpackage
- Remove unneeded Conflicts like postgresqlX.Y
- Remove unneeded Conflicts < and > for all subpackages
- Rename postgresqlX-devel to postgresql-devel
- Add Requires to -server for -contrib, -perl, -python and -tcl and subpackages
2019-02-14 - Alexei Takaseev <taf@altlinux.org> 9.5.16-alt1
- 9.5.16
- Replace PreReq to Requires(pre)
- Remove deadcode for chroot
2019-01-24 - Igor Vlasenko <viy@altlinux.ru> 9.5.15-alt1.1
- rebuild with new perl 5.28.1
2018-11-08 - Alexei Takaseev <taf@altlinux.org> 9.5.15-alt1
- 9.5.15
2018-10-19 - Alexei Takaseev <taf@altlinux.org> 9.5.14-alt4
- Disable package libs for --without devel. This will provide
one set of libraries for all versions of the PG.
2018-10-08 - Igor Vlasenko <viy@altlinux.ru> 9.5.14-alt3
- NMU: removed Provides: postgresql-perl from old postgresses
2018-09-04 - Alexei Takaseev <taf@altlinux.org> 9.5.14-alt2
- Add BR: libkrb5-devel
- Rebuild with OpenSSL 1.1.x

See Also

Package Description
postgresql9.5-server-9.5.19-alt1.i586.rpm The programs needed to create and run a PostgreSQL server
postgresql9.5-tcl-9.5.19-alt1.i586.rpm The PL/Tcl procedural language for PostgreSQL
postgresql9.6-9.6.15-alt1.i586.rpm PostgreSQL client programs and libraries
postgresql9.6-contrib-9.6.15-alt1.i586.rpm Contributed source and binaries distributed with PostgreSQL
postgresql9.6-perl-9.6.15-alt1.i586.rpm The PL/Perl procedural language for PostgreSQL
postgresql9.6-python-9.6.15-alt1.i586.rpm Development module for Python code to access a PostgreSQL DB
postgresql9.6-server-9.6.15-alt1.i586.rpm The programs needed to create and run a PostgreSQL server
postgresql9.6-tcl-9.6.15-alt1.i586.rpm The PL/Tcl procedural language for PostgreSQL
potrace-1.15-alt2.i586.rpm Potrace is a utility for transform bitmaps into vector graphics
pound-2.8-alt2.i586.rpm Reverse proxy, load balancer and HTTPS front-end for Web servers
povray-3.7.0.8-alt3.i586.rpm Persistence of Vision Ray Tracer (POV-Ray)
povray-common-3.7.0.8-alt3.i586.rpm POV-Ray common files
powdertoy-94.1-alt1.i586.rpm Classic 'falling sand' physics sandbox game
powermanga-0.93.1-alt1.i586.rpm Shoot them up with 3d graphics
powermgmt-base-1.22-alt1.qa1.i586.rpm Common utils and configs for power management
Advertisement
Advertisement